/*-
 * SPDX-License-Identifier: BSD-2-Clause-FreeBSD
 *
 * Copyright (c) 2019 HighPoint Technologies, Inc.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 *
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
 * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
 * FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
 * DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
 * OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
 * LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
 * OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
 * SUCH DAMAGE.
 *
 * $FreeBSD$
 */

#ifndef hpt37xx_CONFIG_H
#define hpt37xx_CONFIG_H
#define SUPPORT_ARRAY
#define __KERNEL__ 1
#define DRIVER_MINOR 5
#define TARGETNAME hpt37xx
#define __dummy_reg hpt37xx___dummy_reg
#define __ldm_alloc_cmd hpt37xx___ldm_alloc_cmd
#define delay_between_spinup hpt37xx_delay_between_spinup
#define dmapool_active hpt37xx_dmapool_active
#define dmapool_get_page hpt37xx_dmapool_get_page
#define dmapool_get_page_at hpt37xx_dmapool_get_page_at
#define dmapool_init hpt37xx_dmapool_init
#define dmapool_make_order hpt37xx_dmapool_make_order
#define dmapool_max_class_pages hpt37xx_dmapool_max_class_pages
#define dmapool_put_page hpt37xx_dmapool_put_page
#define dmapool_register_client hpt37xx_dmapool_register_client
#define driver_name hpt37xx_driver_name
#define driver_name_long hpt37xx_driver_name_long
#define driver_ver hpt37xx_driver_ver
#define freelist_get hpt37xx_freelist_get
#define freelist_get_dma hpt37xx_freelist_get_dma
#define freelist_put hpt37xx_freelist_put
#define freelist_put_dma hpt37xx_freelist_put_dma
#define freelist_reserve hpt37xx_freelist_reserve
#define freelist_reserve_dma hpt37xx_freelist_reserve_dma
#define gGlobalNcqFlag hpt37xx_gGlobalNcqFlag
#define gProbeInInitializing hpt37xx_gProbeInInitializing
#define gSGPIOPartSupport hpt37xx_gSGPIOPartSupport
#define gSpinupOneDevEachTime hpt37xx_gSpinupOneDevEachTime
#define g_legacy_mode hpt37xx_g_legacy_mode
#define gautorebuild hpt37xx_gautorebuild
#define get_dmapool_phy_addr hpt37xx_get_dmapool_phy_addr
#define grebuildpriority hpt37xx_grebuildpriority
#define him_handle_to_vbus hpt37xx_him_handle_to_vbus
#define him_list hpt37xx_him_list
#define init_config hpt37xx_init_config
#define init_module_him_mvsas hpt37xx_init_module_him_mvsas
#define init_module_jbod hpt37xx_init_module_jbod
#define init_module_partition hpt37xx_init_module_partition
#define init_module_raid0 hpt37xx_init_module_raid0
#define init_module_raid1 hpt37xx_init_module_raid1
#define init_module_raid5 hpt37xx_init_module_raid5
#define init_module_raid6 hpt37xx_init_module_raid6
#define init_module_vdev_raw hpt37xx_init_module_vdev_raw
#define ldm_acquire_lock hpt37xx_ldm_acquire_lock
#define ldm_add_spare_to_array hpt37xx_ldm_add_spare_to_array
#define ldm_alloc_cmds_R_6_55_75_46_32 hpt37xx_ldm_alloc_cmds_R_6_55_75_46_32
#define ldm_alloc_cmds_from_list hpt37xx_ldm_alloc_cmds_from_list
#define ldm_check_array_online hpt37xx_ldm_check_array_online
#define ldm_create_vbus hpt37xx_ldm_create_vbus
#define ldm_create_vdev hpt37xx_ldm_create_vdev
#define ldm_event_notify hpt37xx_ldm_event_notify
#define ldm_find_stamp hpt37xx_ldm_find_stamp
#define ldm_find_target hpt37xx_ldm_find_target
#define ldm_finish_cmd hpt37xx_ldm_finish_cmd
#define ldm_free_cmds hpt37xx_ldm_free_cmds
#define ldm_free_cmds_to_list hpt37xx_ldm_free_cmds_to_list
#define ldm_generic_member_failed hpt37xx_ldm_generic_member_failed
#define ldm_get_cmd_size hpt37xx_ldm_get_cmd_size
#define ldm_get_device_id hpt37xx_ldm_get_device_id
#define ldm_get_mem_info hpt37xx_ldm_get_mem_info
#define ldm_get_next_vbus hpt37xx_ldm_get_next_vbus
#define ldm_get_vbus_ext hpt37xx_ldm_get_vbus_ext
#define ldm_get_vbus_size hpt37xx_ldm_get_vbus_size
#define ldm_ide_fixstring hpt37xx_ldm_ide_fixstring
#define ldm_idle hpt37xx_ldm_idle
#define ldm_initialize_vbus_async hpt37xx_ldm_initialize_vbus_async
#define ldm_intr hpt37xx_ldm_intr
#define ldm_ioctl hpt37xx_ldm_ioctl
#define ldm_on_timer hpt37xx_ldm_on_timer
#define ldm_queue_cmd hpt37xx_ldm_queue_cmd
#define ldm_queue_task hpt37xx_ldm_queue_task
#define ldm_queue_vbus_dpc hpt37xx_ldm_queue_vbus_dpc
#define ldm_register_adapter hpt37xx_ldm_register_adapter
#define ldm_register_device hpt37xx_ldm_register_device
#define ldm_register_him_R_6_55_75_46_32 hpt37xx_ldm_register_him_R_6_55_75_46_32
#define ldm_register_vdev_class_R_6_55_75_46_32 hpt37xx_ldm_register_vdev_class_R_6_55_75_46_32
#define ldm_release_lock hpt37xx_ldm_release_lock
#define ldm_release_vbus hpt37xx_ldm_release_vbus
#define ldm_release_vdev hpt37xx_ldm_release_vdev
#define ldm_remove_timer hpt37xx_ldm_remove_timer
#define ldm_request_timer hpt37xx_ldm_request_timer
#define ldm_reset_vbus hpt37xx_ldm_reset_vbus
#define ldm_resume hpt37xx_ldm_resume
#define ldm_run hpt37xx_ldm_run
#define ldm_set_autorebuild hpt37xx_ldm_set_autorebuild
#define ldm_shutdown hpt37xx_ldm_shutdown
#define ldm_suspend hpt37xx_ldm_suspend
#define ldm_sync_array_info hpt37xx_ldm_sync_array_info
#define ldm_sync_array_stamp hpt37xx_ldm_sync_array_stamp
#define ldm_timer_probe_device hpt37xx_ldm_timer_probe_device
#define ldm_unregister_device hpt37xx_ldm_unregister_device
#define log_sector_repair hpt37xx_log_sector_repair
#define max_xor_way hpt37xx_max_xor_way
#define num_drives_per_spinup hpt37xx_num_drives_per_spinup
#define os_get_stamp hpt37xx_os_get_stamp
#define os_get_vbus_seq hpt37xx_os_get_vbus_seq
#define os_inb hpt37xx_os_inb
#define os_inl hpt37xx_os_inl
#define os_insw hpt37xx_os_insw
#define os_inw hpt37xx_os_inw
#define os_map_pci_bar hpt37xx_os_map_pci_bar
#define os_max_cache_size hpt37xx_os_max_cache_size
#define os_outb hpt37xx_os_outb
#define os_outl hpt37xx_os_outl
#define os_outsw hpt37xx_os_outsw
#define os_outw hpt37xx_os_outw
#define os_pci_readb hpt37xx_os_pci_readb
#define os_pci_readl hpt37xx_os_pci_readl
#define os_pci_readw hpt37xx_os_pci_readw
#define os_pci_writeb hpt37xx_os_pci_writeb
#define os_pci_writel hpt37xx_os_pci_writel
#define os_pci_writew hpt37xx_os_pci_writew
#define os_printk hpt37xx_os_printk
#define os_query_remove_device hpt37xx_os_query_remove_device
#define os_query_time hpt37xx_os_query_time
#define os_register_device hpt37xx_os_register_device
#define os_request_timer hpt37xx_os_request_timer
#define os_revalidate_device hpt37xx_os_revalidate_device
#define os_schedule_task hpt37xx_os_schedule_task
#define os_stallexec hpt37xx_os_stallexec
#define os_unmap_pci_bar hpt37xx_os_unmap_pci_bar
#define os_unregister_device hpt37xx_os_unregister_device
#define osm_max_targets hpt37xx_osm_max_targets
#define pcicfg_read_dword hpt37xx_pcicfg_read_dword
#define pcicfg_write_byte hpt37xx_pcicfg_write_byte
#define pcicfg_write_dword hpt37xx_pcicfg_write_dword
#define vbus_list hpt37xx_vbus_list
#define vbus_to_him hpt37xx_vbus_to_him
#define vbus_to_him_handle hpt37xx_vbus_to_him_handle
#define vdev_queue_cmd hpt37xx_vdev_queue_cmd
#endif
